From: "Michael R. Crusoe" <michael.crusoe@gmail.com>
Date: Fri, 16 Jun 2023 12:26:33 -0400
Subject: allow test to work post-installation

Forwarded: not-needed
---
 schema_salad/tests/test_ref_resolver.py | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

--- python-schema-salad.orig/schema_salad/tests/test_ref_resolver.py
+++ python-schema-salad/schema_salad/tests/test_ref_resolver.py
@@ -19,9 +19,8 @@
 
 
 def is_fs_case_sensitive(
-    path: str,
 ) -> bool:  # https://stackoverflow.com/a/36612604/1585509
-    with tempfile.NamedTemporaryFile(prefix="TmP", dir=path) as tmp_file:
+    with tempfile.NamedTemporaryFile(prefix="TmP") as tmp_file:
         return not os.path.exists(tmp_file.name.lower())
 
 
@@ -178,7 +177,7 @@
 def test_fetch_inject_id() -> None:
     path = get_data("tests/inject-id1.yml")
     assert path
-    if is_fs_case_sensitive(os.path.dirname(path)):
+    if is_fs_case_sensitive():
 
         def lower(item: str) -> str:
             return item
